Subject: bug#51114: Owncloud client error message

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 10 Oct 2021 19:40:19 +0200

Hi,

Am Sonntag, den 10.10.2021, 10:43 +0200 schrieb Cayetano Santos:
> Context:
> 
> Using guix as a package manager under a foreign, up to date 
> archlinux distribution.
> 
> Problem:
> 
> When I install owncloud-client, and provide the log in 
> credentials, I get a message
> 
>   "could not read system exclude file"
> 
> I have to notice that, when I’m using archlinux provided package, 
> all works as expected.
The file in question appears to be installed into
$PREFIX/etc/ownCloud/sync-exclude.lst, but owncloud appears to
construct this name somewhat weirdly, (see src/libsync/configfile.cpp)

I'd hazard a guess, that the line
  fi.setFile(QStringLiteral(SYSCONFDIR "/%1").arg(Theme::instance()-
>appName()), exclFile);
produces a wrong directory.  One could probably check via strace.

Cheers